هل أنت متأكد من أنك تريد القيام بهذا? الرجاء المحاولة مرة أخرى.

في بعض الأحيان, وورد يظهر خطأ مثل:

هل أنت متأكد من أنك تريد القيام بهذا?

الرجاء المحاولة مرة أخرى.

إذا كان هذا غالباً بسبب قيود الذاكرة (تشغيل البرنامج النصي الخروج من الذاكرة بسبب العديد من الإضافات وموضوع معقد المثبتة على الموقع).

لإصلاح هذه الذاكرة حدود بحاجة إلى زيادة من الافتراضي ل 40 مترا. عادة ما يحدد 128 م معظم الأجهزة, ولكن يمكن استخدام 256 م إذا ما هو أكثر من المطلوب لعمليات معينة. وهذا يمكن القيام به من الفسفور الأبيض-config.php :

define( 'WP_MEMORY_LIMIT', '128M' );

يمكن استخدام البرنامج المساعد مثل الفسفور الأبيض محرر ملف التهيئة.

هذا لا يعمل? يمكن أيضا أن يكون سبب الخطأ المساعد سيئة و/أو موضوع التعليمات البرمجية التي تنشئ حلقات استخدام الذاكرة.
تعطيل الوظائف الإضافية، والتحول إلى موضوع قياسية سيتم إصلاح المشكلة في هذه الحالة. ثم يمكن أن تكون الإضافات/موضوع المعاد تنشيطها واحداً تلو الآخر لتحديد أي واحد/تركيبة هو الذي يسبب المشكلة.

 

الترقية إلى أحدث الضفيرة و SSL المفتوحة في متصفح الويب

المشكلة:
مقدمي خدمات التجارة الإلكترونية مثل Paypal وعرض متطلبات SSL صارمة أكثر. من:
“يتطلب OpenSSL >= 1.0.1 ليتم تثبيتها على الملقم الخاص بك”

يظهر معلومات بي إتش بي:
الضفيرة
SSL Version OpenSSL/1.0.0

حل:

  • تثبيت آخر الضفيرة:

cd /usr/local/src
wget https://curl.haxx.se/download/curl-7.52.1.tar.gz
tar -xvzf curl-7.52.1.tar.gz
cd curl*

./تكوين –محلل تمكين مترابطة –تمكين http –تمكين بروتوكول نقل الملفات –تمكين الوكيل –تمكين-tftp –تمكين ntlm –تمكين-ثابت –مع ssl =/usr/المحلية/ssl –تمكين ipv6 –تمكين المشترك –with-libidn
جعل && جعل تثبيت

/usr/local/bin/curl –نسخة

  • Configure PHP to use it -Create a new file /var/cpanel/easy/apache/rawopts/all_php5 with this contents:
    with-curl=/usr/local/src/curl-7.52.1
  • Rebuild Apache & PHP with EasyApache 3.

Result:

PHP info should now show:
cURL Information 7.52.1
SSL Version OpenSSL/1.0.1e